org.apache.hadoop.mapred.lib

## Class MultipleSequenceFileOutputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.FileOutputFormat<K,V>
  - - org.apache.hadoop.mapred.lib.MultipleOutputFormat<K,V>
    - - org.apache.hadoop.mapred.lib.MultipleSequenceFileOutputFormat<K,V>

- All Implemented Interfaces:
    OutputFormat<K,V>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class MultipleSequenceFileOutputFormat<K,V>
      extends MultipleOutputFormat<K,V>

  This class extends the MultipleOutputFormat, allowing to write the output data to different output files in sequence file output format.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleSequenceFileOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RecordWriter<K,V>` | `getBaseRecordWriter(org.apache.hadoop.fs.FileSystem fs, JobConf job, String name, org.apache.hadoop.util.Progressable arg3)`

    - ### Methods inherited from class org.apache.hadoop.mapred.lib.MultipleOutputFormat

      `generateActualKey, generateActualValue, generateFileNameForKeyValue, generateLeafFileName, getInputFileBasedOutputFileName, getRecordWriter`

    - ### Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath, setWorkOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipleSequenceFileOutputFormat

          public MultipleSequenceFileOutputFormat()

  - ### Method Detail

    - #### getBaseRecordWriter

          protected RecordWriter<K,V> getBaseRecordWriter(org.apache.hadoop.fs.FileSystem fs,
                                                          JobConf job,
                                                          String name,
                                                          org.apache.hadoop.util.Progressable arg3)
                                                   throws IOException

      Specified by:
        `getBaseRecordWriter` in class `MultipleOutputFormat<K,V>`
      Parameters:
        `fs` - the file system to use
        `job` - a job conf object
        `name` - the name of the file over which a record writer object will be constructed
        `arg3` - a progressable object
      Returns:
        A RecordWriter object over the given file
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.